package com.jasamedika.medifirst2000.converter;

import java.util.ArrayList;
import java.util.List;

import org.springframework.beans.BeanUtils;
import org.springframework.stereotype.Component;

import com.jasamedika.medifirst2000.converter.base.BaseVoConverter;
import com.jasamedika.medifirst2000.entities.ObjekModulAplikasi;
import com.jasamedika.medifirst2000.vo.ObjekModulAplikasiVO;

@Component
public class ObjekModulAplikasiConverter  implements BaseVoConverter<ObjekModulAplikasiVO, ObjekModulAplikasi> {

	@Override
	public ObjekModulAplikasi transferVOToModel(ObjekModulAplikasiVO vo, ObjekModulAplikasi model) {
		if (null == model)
			model = new ObjekModulAplikasi();
		
		BeanUtils.copyProperties(vo, model);

		return model;
	}

	@Override
	public List<ObjekModulAplikasiVO> transferListOfModelToListOfVO(List<ObjekModulAplikasi> models, List<ObjekModulAplikasiVO> vos) {

		if (null == vos)
			vos = new ArrayList<ObjekModulAplikasiVO>();

		if (null == models)
			return vos;

		for (ObjekModulAplikasi objekModulAplikasi : models) {
			ObjekModulAplikasiVO vo = new ObjekModulAplikasiVO();
			vo=transferModelToVO(objekModulAplikasi, vo);
			vos.add(vo);
		}

		return vos;
	}

	@Override
	public ObjekModulAplikasiVO transferModelToVO(ObjekModulAplikasi model, ObjekModulAplikasiVO vo) {
		if (null == vo)
			vo = new ObjekModulAplikasiVO();
		
		BeanUtils.copyProperties(model, vo);

		return vo;
	}

}
